Skip to main content
POST
Set Password (Invited Users)
This endpoint requires authentication. Include your Bearer token in the Authorization header.

Description

This endpoint is used exclusively for users who were invited to a workspace. Note: New signups set their password during POST /auth/signup and should use POST /auth/complete-signup to finish registration. Users in the demo workspace (TenantId: 2) are rejected. Requires a valid verification token in the Authorization header.

Code Examples

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"

Body

application/json
password
string
required

The new password to be set

Minimum string length: 8
Example:

"securePassword123!"

Response

Password set successfully

token
string

JWT access token

refreshToken
string

Refresh token for getting new access tokens

user
object

Global user account (cross-tenant)